# $Revision: 1.22 $, $Date: 2002/11/13 18:16:44 $
Summary:	Stop Bill from loading his OS into all the computers
Summary(pl):	Powstrzymaj Billa przed instalowaniem jego systemu na wszystkich komputerach
Name:		xbill
Version:	2.0
Release:	17
License:	MIT
Group:		X11/Applications/Games
Source0:	ftp://ftp.x.org/contrib/games/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-c++.patch
Patch1:		%{name}-imake.patch
Patch2:		%{name}-FHS.patch
Icon:		xbill.xpm
BuildRequires:	XFree86-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The xbill game tests your reflexes as you seek out and destroy all
forms of Bill, establish new operating systems and boldly go where no
geek has gone before. Xbill has become an increasingly attractive
option as the Linux Age progresses, and it is very popular at Red Hat.

%description -l pl
Gra xbill sprawdza refleks przy wyapywaniu i niszczeniu wszelkich
form Billa, instalowaniu nowych systemw operacyjnych oraz docieraniu
tam, gdzie nikt wczeniej nie dotar. Xbill stawa si cigle coraz
bardziej przycigajcy w miar postpu Ery Linuksa, jest take bardzo
popularny w Red Hacie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
%{__make} \
	CXXDEBUGFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Arcade,%{_pixmapsdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install install.man

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.Ports ChangeLog
%attr(2755,root,games) %{_bindir}/xbill
%attr(775,root,games) %dir /var/games/xbill
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/xbill/scores
%{_mandir}/man1/*
%{_libdir}/xbill
%{_applnkdir}/Games/Arcade/xbill.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xbill.spec,v $
Revision 1.22  2002/11/13 18:16:44  ankry
- desktop moved to Games/Arcade/

Revision 1.21  2002/11/13 18:15:27  ankry
- new %%doc

Revision 1.20  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/15 22:40:16  qboosh
- release 17: marked score file with noreplace and verify tags

Revision 1.17  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/10/31 21:22:04  qboosh
- FHS patch: moved /var/lib/games/xbill to /var/games/xbill (acc. to FHS 2.x)
  and removed symlinks from /var
- release 16

Revision 1.15  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2001/01/10 09:50:25  kloczek
- release 15.

Revision 1.12  2001/01/09 17:58:31  qboosh
- fixed Group[de]

Revision 1.11  2001/01/06 02:24:32  kloczek
- release 14 (for allow upgrade from RH version),
- replace wmconfig file by .dessktop,
- added package icon.

Revision 1.10  2001/01/06 02:02:28  kloczek
- spec adapterized.

Revision 1.9  2001/01/05 23:44:16  qboosh
- ANSI C++ violation patch
- Imakefile patch
- use RPM_OPT_FLAGS
- release 8

Revision 1.8  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:24:08  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
